%define    enable_async_mode 0

Summary:   Library to program and control the FTDI USB controller
Name:      libftdi1
Version:   0.18
Release:   3.2
License:   LGPL for libftdi and GPLv2+linking exception for the C++ wrapper
Group:     Hardware/Other
Vendor:    Intra2net AG
URL:       http://www.intra2net.com/en/developer/libftdi
Source:    libftdi-%{version}.tar.bz2
Source100: %{name}-rpmlintrc
Patch0:    buildfixes.diff
Buildroot: /var/tmp/%{name}-%{version}-root
AutoReqProv:  libusb
%if 0%{?sles_version} == 10
BuildRequires:	libusb
%else
BuildRequires:	libusb-devel
%endif
BuildRequires: pkgconfig, doxygen

%package -n libftdi1-devel
Summary:   Header files and static libraries for libftdi
Group:     Development/Libraries/C and C++
Requires:  libftdi1 = %{version}
%if 0%{?sles_version} == 10
Requires:	libusb
%else
Requires:	libusb-devel
%endif

%description 
Library to program and control the FTDI USB controller. 
This library is used by many programs accessing FTDI USB-to-RS232 converters.

%description -n libftdi1-devel
Header files and static libraries for libftdi.
This library is used by many programs accessing FTDI USB-to-RS232 converters.

%prep
%setup -q -n libftdi-%{version}
%patch0 -p1

%build

%configure --disable-dependency-tracking CFLAGS="$RPM_OPT_FLAGS"
%if %{enable_async_mode}
    --with-async-mode \
%endif

make

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Cleanup
rm -f $RPM_BUILD_ROOT/usr/bin/simple
rm -f $RPM_BUILD_ROOT/usr/bin/bitbang
rm -f $RPM_BUILD_ROOT/usr/bin/bitbang2
rm -f $RPM_BUILD_ROOT/usr/bin/bitbang_ft2232
rm -f $RPM_BUILD_ROOT/usr/bin/bitbang_cbus
rm -f $RPM_BUILD_ROOT/usr/bin/find_all
rm -f $RPM_BUILD_ROOT/usr/bin/find_all_pp
rm -f $RPM_BUILD_ROOT/usr/bin/serial_read
rm -f $RPM_BUILD_ROOT/usr/bin/baud_test

mkdir -p $RPM_BUILD_ROOT//usr/share/man/man3
gzip -9 doc/man/man3/*.3
cp doc/man/man3/*.3.gz $RPM_BUILD_ROOT//usr/share/man/man3

%clean
rm -fr $RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libftdi*.so.*
%doc COPYING.LIB COPYING.GPL LICENSE

%files -n libftdi1-devel
%defattr(-,root,root)
%doc doc/html
%{_mandir}/man3/*.3.gz
%{_bindir}/libftdi-config
%{_prefix}/include/*.h
%{_libdir}/libftdi.so
%{_libdir}/libftdi*.*a
%{_libdir}/pkgconfig/*.pc
%changelog
* Fri Jan 21 2011 stepan@coresystems.de
- Update to 0.18
- Add COPYING.GPL and LICENSE files, too
* Mon Dec 21 2009 stepan@coresystems.de
- Update to 0.17
* Sun Oct 26 2008 jblunck@suse.de
- Initial page submission
